function v=determineUnAnimity(UnanimityCycleVector)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns wether unanimity is reached -> 1; if it is not            %
% reached, 0 is returned;                                          %
%                                                                  %
% Input: UnanimityCycleVector := vector of cycles in which         %
% unanimity is reached, if not reached elements are zero           %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 23th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nRep=length(UnanimityCycleVector(1,:));     %number of repetitions
unAnimityVector=zeros(1,nRep);          

i=1;
for i=1:nRep
    if UnanimityCycleVector(1,i) ~= 0       %check wether unanimity is reached
        unAnimityVector(1,i)=1;             %set an indicator
    end
    i=i+1;
end
      
v=unAnimityVector;


        