function v=rememberDecisions(Contacts,Decisions,RDecisions)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns Matrix of memorized others decisions which is updated    %
% at contact                                                       %
% Input: Contacts := Matrix of Contacts in Step; Decisions :=      %
% Vector of current decisions in step; RDecisions := Vector of     %
% remembered decisions                                             %
%                                                                  %
% WARNING: !!! FUNCTION IS TO BE CALLED EVERY STEP IN ORDER TO     %
% TRACK INDIVIDUAL "MEMORY"!!! "RDecisions" HAS TO BE DECLARED IN  %
% ADVANCE IN ORDER FOR MEMORY TO BE ADDED !!!                      %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 11th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


n=length(Contacts(1,:));                        %N Agents
                                    
i=1;
j=1;

for i=1:n                                       %for all agents
    for j=i:n                                   %and their possible neighbours
        if C(i,j)~=0                            %if contact has been made in step
            RDecisions(i,j)=Decisions(i,j);     %rember the partner's decision
        end
        j=j+1;
    end
    i=i+1;
end

v=RDecisions;